Bug 1141469 - split out (j)ruby support into a subpackage
Summary: split out (j)ruby support into a subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: springframework
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-13 21:27 UTC by Peter Robinson
Modified: 2015-02-27 14:19 UTC (History)
4 users (show)

Fixed In Version: springframework-3.2.13-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-23 05:51:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2014-09-13 21:27:47 UTC
springframework-context pulls in jruby, and in turn ruby. It would be nice, if possible, to split this functionality out into a subpackage so that the general package doesn't need to pull in an entire ruby stack.

---> Package springframework-context.noarch 0:3.2.9-1.fc21 will be installed
--> Processing Dependency: mvn(org.springframework:spring-instrument) = 3.2.9.RELEASE for package: springframework-context-3.2.9-1.fc21.noarch
--> Processing Dependency: mvn(org.springframework:spring-aop) = 3.2.9.RELEASE for package: springframework-context-3.2.9-1.fc21.noarch
--> Processing Dependency: mvn(org.jruby:jruby) for package: springframework-context-3.2.9-1.fc21.noarch
--> Processing Dependency: mvn(org.jruby.extras:bytelist) for package: springframework-context-3.2.9-1.fc21.noarch
--> Processing Dependency: mvn(org.codehaus.groovy:groovy) for package: springframework-context-3.2.9-1.fc21.noarch
--> Processing Dependency: mvn(org.beanshell:bsh) for package: springframework-context-3.2.9-1.fc21.noarch
--> Processing Dependency: mvn(org.apache.geronimo.specs:geronimo-validation_1.0_spec) for package: springframework-context-3.2.9-1.fc21.noarch
--> Processing Dependency: mvn(org.apache.geronimo.specs:geronimo-interceptor_3.0_spec) for package: springframework-context-3.2.9-1.fc21.noarch
--> Processing Dependency: mvn(javax.ejb:ejb-api) for package: springframework-context-3.2.9-1.fc21.noarch

Comment 1 Fedora Admin XMLRPC Client 2014-12-04 09:57:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Michal Srb 2015-02-23 05:51:59 UTC
springframework-context-0:3.2.13-2 in Rawhide no longer requires following optional dependencies:

mvn(javax.ejb:ejb-api)
mvn(javax.inject:javax.inject)
mvn(joda-time:joda-time)
mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)      
mvn(org.aspectj:aspectjweaver)
mvn(org.beanshell:bsh)
mvn(org.codehaus.groovy:groovy)
mvn(org.hibernate:hibernate-validator)
mvn(org.jruby:jruby)
mvn(org.springframework:spring-instrument) = 3.2.13.RELEASE

Comment 3 Peter Robinson 2015-02-25 18:46:53 UTC
Thanks! Can we push this to F-22 too please?

Comment 4 Michal Srb 2015-02-27 14:19:42 UTC
I am afraid that it wouldn't be so easy. Dropping requires on optional dependencies was possible due to the changes in latest XMvn/javapackages-tools. Such significant changes in auto-generated Requires could cause a lot of troubles. And since there was no mass-rebuild for F-22, we decided to introduce these changes in Rawhide only.


Note You need to log in before you can comment on or make changes to this bug.